Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80424 - mkinitrd should not need /etc/raidtab to determine if raid modules are needed
Summary: mkinitrd should not need /etc/raidtab to determine if raid modules are needed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 03:29 UTC by Jordan Russell
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 22:18:41 UTC


Attachments (Terms of Use)
Proposed fix for the problem (deleted)
2002-12-26 03:35 UTC, Jordan Russell
no flags Details | Diff

Description Jordan Russell 2002-12-26 03:29:58 UTC
***patch included***

Description of problem:
mkinitrd has an unnecessary requirement that /etc/raidtab exist and be up-to-
date in order for it to include necessary raid modules.

Many including myself no longer create or use /etc/raidtab files with the 
advent of the "mdadm" utility.

Version-Release number of selected component (if applicable):
mkinitrd-3.4.28-1

Comment 1 Jordan Russell 2002-12-26 03:35:24 UTC
Created attachment 88912 [details]
Proposed fix for the problem

This patch makes mkinitrd parse /proc/mdstat in addition to /etc/raidtab to
find out which raid modules are being used and thus needed.

This also makes the raid detection more like the other types of detection in
that it checks what's actually being used in the currently running kernel, and
not merely what a file claims is needed.

Comment 2 Erik Troan 2003-01-14 22:18:41 UTC
mkinitrd and grubby now use /proc/mdstat instead of /etc/raidtab -- good call

you'll see this in the version > 3.4.43


Note You need to log in before you can comment on or make changes to this bug.